[mythtv-users] PVR500 Has Up and Disappeared

Nick Morrott knowledgejunkie at gmail.com
Fri Jan 19 12:22:59 UTC 2007


On 19/01/07, Jeffrey Born <jeff.born at gmail.com> wrote:
> The output of the first command seems good:
>
> lspci -v |grep -B 1 "Hauppauge"
> 06:08.0 Multimedia video controller: Internext Compression Inc iTVC16
> (CX23416) MPEG-2 Encoder (rev 01)
>         Subsystem: Hauppauge computer works Inc. WinTV PVR 500 (1st unit)
> --
> 06:09.0 Multimedia video controller: Internext Compression Inc iTVC16
> (CX23416) MPEG-2 Encoder (rev 01)
>         Subsystem: Hauppauge computer works Inc. WinTV PVR 500 (2nd unit)

That's good. At least the card is being recognised by the system.

>
> The output of the second command lsmod |grep "ivtv" is nothing

The ivtv module is not loaded. If you have recently updated the system
via yum, it could indicated the correct ivtv kernel module for the
running kernel is not present. Try

# rpm -qa |grep "ivtv"
# uname -r

The first will list all ivtv packages installed including the kernel
module (ivtv-kmdl-xxx), the second the version of your kernel. You
will need a matching ivtv-kmdl for your running kernel version.

> Given those commands I started to do some searching on the mythtv users list
> and found references to a thread with this titile " Missing video
> Devices???" Which leads me to believe that a yum update may have updated my
> kernal, but not installed  ivtv at the same time?

It may have updated ivtv itself, but not the ivtv kernel module.

> Right now I'm going to update again.. I'll check the two commands after a
> reboot and see whats going on.
>
> Thanks many times over for the information.  Up till now I've had plenty of
> other problems, but never the PVR500 failing to load.. I had no idea where
> to start. (I may have had problems, but everyone out in mail list land have
> always been very helpful!)
>
> btw this yum update is moving the kernal from 2.6.18-1.2868.fc6 to
> 2.6.19-1.2895.fc6.  But that was not necessarily the case before.  I may
> have had different problems with 2.6.18 then with 2.6.19.  After this update
> I think I'm going to need ivtv .9* installed instead of ivtv .8* installed?

Yes, per the information on the ivtvdriver.org site.

Nick
-- 
MythTV Official wiki:
http://mythtv.org/wiki/
MythTV users list archive:
http://www.gossamer-threads.com/lists/mythtv/users

"An investment in knowledge always pays the best interest." - Benjamin Franklin


More information about the mythtv-users mailing list